Emissão com Assinatura Posterior
Neste fluxo, a dívida é criada em uma primeira chamada e a assinatura do tomador é enviada em uma chamada separada. O sistema gera o contrato e aguarda a assinatura antes de processar o desembolso.
Passo 1 — Criação da Dívida (POST /debt)
Request
ENDPOINT
/debtMÉTODO
POSTRequest Body
- disbursed_amount
- installments
- due_dates
{
"borrower": {
"name": "Dante Ferrarini",
"email": "dante@email.com",
"phone": {
"number": "185633631",
"area_code": "15",
"country_code": "055"
},
"is_pep": false,
"address": {
"city": "São Paulo",
"state": "SP",
"number": "1000",
"street": "Rua Gilberto Sabino",
"complement": "",
"postal_code": "05425020",
"neighborhood": "Pinheiros"
},
"role_type": "issuer",
"birth_date": "1993-09-10",
"person_type": "natural",
"individual_document_number": "31057466093"
},
"financial": {
"interest_type": "pre_price_days",
"disbursement_date": "2026-04-07",
"fine_configuration": {
"monthly_rate": 0.01,
"interest_base": "calendar_days",
"contract_fine_rate": 0.02
},
"disbursed_amount": 1000,
"monthly_interest_rate": 0.052,
"credit_operation_type": "ccb",
"interest_grace_period": 0,
"number_of_installments": 2,
"principal_grace_period": 0
},
"disbursement_bank_account": {
"name": "Dante Ferrarini",
"document_number": "31057466093",
"bank_code": "329",
"branch_number": "0001",
"account_number": "7617846",
"account_digit": "5",
"account_type": "checking_account"
},
"purchaser_document_number": "32402502000135"
}
{
"borrower": {
"name": "Dante Ferrarini",
"email": "dante@email.com",
"phone": {
"number": "185633631",
"area_code": "15",
"country_code": "055"
},
"is_pep": false,
"address": {
"city": "São Paulo",
"state": "SP",
"number": "1000",
"street": "Rua Gilberto Sabino",
"complement": "",
"postal_code": "05425020",
"neighborhood": "Pinheiros"
},
"role_type": "issuer",
"birth_date": "1993-09-10",
"person_type": "natural",
"individual_document_number": "31057466093"
},
"financial": {
"interest_type": "pre_price_days",
"disbursement_date": "2026-04-07",
"fine_configuration": {
"monthly_rate": 0.01,
"interest_base": "calendar_days",
"contract_fine_rate": 0.02
},
"monthly_interest_rate": 0.052,
"credit_operation_type": "ccb",
"interest_grace_period": 0,
"principal_grace_period": 0,
"desired_installments": [
{
"due_date": "2026-05-07",
"total_amount": 543.89
},
{
"due_date": "2026-06-07",
"total_amount": 543.89
}
]
},
"disbursement_bank_account": {
"name": "Dante Ferrarini",
"document_number": "31057466093",
"bank_code": "329",
"branch_number": "0001",
"account_number": "7617846",
"account_digit": "5",
"account_type": "checking_account"
},
"purchaser_document_number": "32402502000135"
}
{
"borrower": {
"name": "Dante Ferrarini",
"email": "dante@email.com",
"phone": {
"number": "185633631",
"area_code": "15",
"country_code": "055"
},
"is_pep": false,
"address": {
"city": "São Paulo",
"state": "SP",
"number": "1000",
"street": "Rua Gilberto Sabino",
"complement": "",
"postal_code": "05425020",
"neighborhood": "Pinheiros"
},
"role_type": "issuer",
"birth_date": "1993-09-10",
"person_type": "natural",
"individual_document_number": "31057466093"
},
"financial": {
"interest_type": "pre_price_days",
"disbursement_date": "2026-04-07",
"fine_configuration": {
"monthly_rate": 0.01,
"interest_base": "calendar_days",
"contract_fine_rate": 0.02
},
"disbursed_amount": 1000,
"monthly_interest_rate": 0.052,
"credit_operation_type": "ccb",
"interest_grace_period": 0,
"principal_grace_period": 0,
"due_dates": [
"2026-05-07",
"2026-06-07"
]
},
"disbursement_bank_account": {
"name": "Dante Ferrarini",
"document_number": "31057466093",
"bank_code": "329",
"branch_number": "0001",
"account_number": "7617846",
"account_digit": "5",
"account_type": "checking_account"
},
"purchaser_document_number": "32402502000135"
}